{ config, sources, ... }:

{
  nixpkgs.overlays = [ (import (sources.arkheon.outPath + "/overlay.nix")) ];

  services.arkheon = {
    enable = true;

    pythonEnv =
      (import sources.nixos-unstable {
        overlays = [ (import (sources.arkheon.outPath + "/overlay.nix")) ];
      }).python3.withPackages
        (ps: [
          ps.arkheon
          ps.daphne
          ps.psycopg2
        ]);

    domain = "arkheon.dgnum.eu";

    nginx = {
      enableACME = true;
      forceSSL = true;
    };

    envFile = config.age.secrets."arkheon-env_file".path;
  };
}
