{ config, lib, ... }:
let
  cfg = config.services.castopod;
  fpm = config.services.phpfpm.pools.castopod;
in
{
  services.nginx = {
    resolver.addresses = [ "127.0.0.53" ];
    virtualHosts."${cfg.localDomain}" = {

      locations."@force_get" = {
        extraConfig = lib.mkForce ''
          recursive_error_pages on;
          proxy_method GET;
          proxy_pass https://podcasts.dgnum.eu/$request_uri;
        '';
      };

      locations."~ .php$" = {
        extraConfig = lib.mkForce ''
          error_page 550 = @force_get;
          if ($request_method = HEAD) { return 550; }
          fastcgi_intercept_errors on;
          fastcgi_index index.php;
          fastcgi_pass unix:${fpm.socket};
          try_files $uri =404;
          fastcgi_read_timeout 3600;
          fastcgi_send_timeout 3600;
        '';
      };
    };
  };
}
