{
  sources,
  pkgs,
  lib,
  ...
}:

let
  host = "cal.dgnum.eu";

  metis2linkal = import ./metis-to-linkal.nix { inherit pkgs lib; };

  calendarGroups = {
    luj-current = {
      port = 8444;
      calendars = {
        "https://cloud.eleves.ens.fr/remote.php/dav/public-calendars/LLWm8qK9iC5YGrrR" = {
          name = "Délégation Générale";
          short_name = "DG";
        };

        "https://cloud.eleves.ens.fr/remote.php/dav/public-calendars/fRtjDkjrZyn6fxd8" = {
          name = "K-Fêt";
          color = "#c63b52";
          default_location = "K-Fêt";
        };
      };
    };
    ens = {
      port = 8445;
      calendars = metis2linkal sources.metis;
    };
  };
in
{
  imports = [ ./module.nix ];

  dgn-linkal = {
    enable = true;
    domain = host;

    inherit calendarGroups;
  };
}
