# Nix expression to check if meta module is evaluating correctly.
# To do so run `nix-build ./verify.nix`
let
  sources = import ../npins;
  pkgs = import sources.nixpkgs { };

  dns = import sources."dns.nix";

  lib = import sources.nix-lib {
    inherit (pkgs) lib;

    keysRoot = ../keys;
  };
in

{
  meta = pkgs.writers.writeJSON "meta.json" ((import ./.) pkgs.lib);

  dns = dns.util.${builtins.currentSystem}.writeZone "dgnum.eu" (
    pkgs.lib.recursiveUpdate { SOA.serial = 0; } (import ./dns.nix { inherit dns lib; })
  );
}
